Consultar mensagem do histórico
curl --request GET \
--url https://api.ararahq.com/dashboard/messages/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/dashboard/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/dashboard/messages/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/dashboard/messages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"status": "PENDING",
"mode": "<string>",
"sender": "<string>",
"receiver": "<string>",
"messageType": "<string>",
"templateName": "<string>",
"templateSid": "<string>",
"templateLanguage": "<string>",
"providerSid": "<string>",
"errorDetails": "<string>",
"scheduledAt": "<string>",
"externalReference": "<string>",
"deliveredAt": "<string>",
"readAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"cost": 123,
"templateVariablesJson": "<string>",
"body": "<string>",
"processedContent": "<string>",
"mediaUrl": "<string>",
"direction": "<string>",
"processingStart": "<string>",
"processingEnd": "<string>"
}Mensagens
Consultar mensagem do histórico
Diferente de GET /v1/messages/{id}, vale para qualquer mensagem da
organização e inclui variáveis e corpo. Permissão: ADMIN.
GET
/
dashboard
/
messages
/
{id}
Consultar mensagem do histórico
curl --request GET \
--url https://api.ararahq.com/dashboard/messages/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/dashboard/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/dashboard/messages/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/dashboard/messages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"status": "PENDING",
"mode": "<string>",
"sender": "<string>",
"receiver": "<string>",
"messageType": "<string>",
"templateName": "<string>",
"templateSid": "<string>",
"templateLanguage": "<string>",
"providerSid": "<string>",
"errorDetails": "<string>",
"scheduledAt": "<string>",
"externalReference": "<string>",
"deliveredAt": "<string>",
"readAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"cost": 123,
"templateVariablesJson": "<string>",
"body": "<string>",
"processedContent": "<string>",
"mediaUrl": "<string>",
"direction": "<string>",
"processingStart": "<string>",
"processingEnd": "<string>"
}Authorizations
Chave de API da Arara (ara_live_...), enviada no header Authorization: Bearer ara_live_.... Crie e gerencie as chaves no painel: https://app.ararahq.com/dashboard/apikeys. O valor completo aparece uma única vez, na criação.
Path Parameters
Response
Detalhe
Available options:
PENDING, SCHEDULED, PROCESSING, SENT_TO_PROVIDER, SENT, DELIVERED, READ, FAILED, CANCELED